Subject: bug#70415: 30.0.50; [Cygwin] `lock-file' creates a symlink with funny name

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 17 Apr 2024 08:58:42 +0900

On Tue, 16 Apr 2024 16:32:17 +0300, Eli Zaretskii wrote:
>> .#FILE -> [email-masked]:-11644473599
>> For that case `(unlock-file "FILE")' issues this warning:
>> Warning (unlock-file): Unlocking file: Invalid argument, FILE, ignored

> The part after the colon is the system boot time, and is used on all
> Posix hosts.

Oh, I had never seen it until recently.  Thanks.

[...]

>>| commit 393f58c85aeb78f814866ccaad9ae7efd3fa6766
>>| Author: Adam Porter <[email-masked]>
>>| Date:   Fri Mar 8 23:43:14 2024 -0600

> This is extremely unlikely to have caused the problem.  It is more
> likely that some change in Cygwin and/or in the Gnulib's boot-time
> module causes this now.

Indeed.  But the fact is that Emacs built with that revno adds
a colon and a negative number to a link name and the one built
with just before it does not.  No problem on 29.3.50 and earlier,
either (i.e., not add a colon and numbers).

> Also, do you see this in "emacs -Q"?  If not, perhaps some local
> customizations cause this?

Yes, I use -Q for the test.

;; I need to alter the default value of `create-lockfiles' in
;; src/filelock.c to build Emacs from git master nowadays.